NetworkSender Class Referenceabstract

Network Sender. More...

Inheritance diagram for NetworkSender:

## Public Member Functions

virtual bool | MustWaitToSend ()
virtual bool | MustWaitForResult ()
virtual void | Send (const byte *buf, size_t bufLen)=0
virtual unsigned int | GetSendResult ()=0
virtual bool | MustWaitForEof ()
virtual void | SendEof ()=0
virtual bool | EofSent ()
Public Member Functions inherited from Waitable
virtual unsigned int | GetMaxWaitObjectCount () const =0
| Maximum number of wait objects that this object can return. More...
virtual void | GetWaitObjects (WaitObjectContainer &container, CallStack const &callStack)=0
| Retrieves waitable objects. More...
bool | Wait (unsigned long milliseconds, CallStack const &callStack)
| Wait on this object. More...

## Detailed Description

Network Sender.

Definition at line 151 of file network.h.

The documentation for this class was generated from the following file:

- network.h